Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class LifecyclePolicyActionOutcome

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecyclePolicyActionOutcome

    public class LifecyclePolicyActionOutcome

extends java.lang.Object

Used to indicate the execution outcome of a LifecyclePolicyAction, including indications as to the updates that to be performed on the document.

Field Summary
`static LifecyclePolicyActionOutcome` | `EXECUTION_SKIPPED` An outcome, indicating that the operation was not executed, and that the document should not be updated to reflect the new lifecycle state.
`static LifecyclePolicyActionOutcome` | `NO_UPDATE_NEEDED` An outcome, indicating that the operation was executed, but that there is no need to update the document to reflect the new lifecycle state, typically because the action knows that it has freed the document.
`static LifecyclePolicyActionOutcome` | `STANDARD_OUTCOME` Standard outcome, indicating a sucecssful execution and that the document should be updated normally.

Constructor Summary
`LifecyclePolicyActionOutcome()` Constructs an instance that specifies the default outcome.
`LifecyclePolicyActionOutcome(boolean executed, boolean updateState)` Constructs an instance that specifies whether the operation was executed, and whether the document should be updated normally.
`LifecyclePolicyActionOutcome(boolean executed, boolean updateState, java.util.Date nextDate, LifecyclePolicyEntry nextEntry)` Constructs an instance that specifies whether the operation was executed, and whether the document should be updated and how.

Method Summary
`java.util.Date` | `getNextLifecycleDate()` Returns the new Lifecycle to appy to the document.
`LifecyclePolicyEntry` | `getNextLifecyclePolicyEntry()` Returns the new LifecyclePolicyEntry to appy to the document.
`boolean` | `isUpdateIndicated()` Returns true if an update of document state should be performed.
`boolean` | `wasExecutionPerformed()` Returns true if the execution was performed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_OUTCOME

    public static final LifecyclePolicyActionOutcome STANDARD_OUTCOME

  Description copied from class: `LifecyclePolicyActionOutcome`
  Standard outcome, indicating a sucecssful execution and that the document should be updated normally.

### EXECUTION_SKIPPED

    public static final LifecyclePolicyActionOutcome EXECUTION_SKIPPED

  Description copied from class: `LifecyclePolicyActionOutcome`
  An outcome, indicating that the operation was not executed, and that the document should not be updated to reflect the new lifecycle state.

### NO_UPDATE_NEEDED

    public static final LifecyclePolicyActionOutcome NO_UPDATE_NEEDED

  Description copied from class: `LifecyclePolicyActionOutcome`
  An outcome, indicating that the operation was executed, but that there is no need to update the document to reflect the new lifecycle state, typically because the action knows that it has freed the document.

Constructor Detail

### LifecyclePolicyActionOutcome

    public LifecyclePolicyActionOutcome()

  Constructs an instance that specifies the default outcome.

  This reflects that the operation was performed normally, and that the document should be updated to reflect the new state, using the current time/date as the new LifecycleDate.

### LifecyclePolicyActionOutcome

    public LifecyclePolicyActionOutcome(boolean executed,
                                        boolean updateState)

  Constructs an instance that specifies whether the operation was executed, and whether the document should be updated normally.

  If updated, the document should be updated to reflect the new state, using the current time/date as the new LifecycleDate.

  Parameters:
    `executed` - whether the operation was executed
    `updateState` - whether the document should have its state updated

### LifecyclePolicyActionOutcome

    public LifecyclePolicyActionOutcome(boolean executed,
                                        boolean updateState,
                                        java.util.Date nextDate,
                                        LifecyclePolicyEntry nextEntry)

  Constructs an instance that specifies whether the operation was executed, and whether the document should be updated and how.

  If executed or updateState is specified as true, the caller will complete the transaction context. If a non-null LifecyclePolicyEntry is specified, it must be part of the same LifecyclePolicy as the entry being processed. If the date specified is null, the current time/date will be used as the new LifecycleDate.

  Parameters:
    `executed` - whether the operation was executed
    `updateState` - whether the document should have its state updated
    `nextDate` - the next Lifecycle date
    `nextEntry` - the next Lifecycle entry

Method Detail

### wasExecutionPerformed

    public boolean wasExecutionPerformed()

  Description copied from class: `LifecyclePolicyActionOutcome`
  Returns true if the execution was performed.

  Returns:
    true if execution was performed; false otherwise

### isUpdateIndicated

    public boolean isUpdateIndicated()

  Description copied from class: `LifecyclePolicyActionOutcome`
  Returns true if an update of document state should be performed.

  Returns:
    true if an update of lifecycle state should be performed on the document; false otherwise

### getNextLifecyclePolicyEntry

    public LifecyclePolicyEntry getNextLifecyclePolicyEntry()

  Description copied from class: `LifecyclePolicyActionOutcome`
  Returns the new LifecyclePolicyEntry to appy to the document.

  A null value implies that the LifecyclePolicyEntry being processed should be used.

  Returns:
    the next LifecyclePolicyEntry

### getNextLifecycleDate

    public java.util.Date getNextLifecycleDate()

  Description copied from class: `LifecyclePolicyActionOutcome`
  Returns the new Lifecycle to appy to the document.

  A null value implies that the current date/time should be used.

  Returns:
    the next lifecycle date

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD